<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="scarthgap"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/yocto-5.0.2"
           upstream="scarthgap"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/yocto-5.0.2"
           upstream="scarthgap"
           path="sources/meta-mingw"/>
  <project name="meta-virtualization"
           remote="yocto"
           revision="37c06acf58f9020bccfc61954eeefe160642d5f3"
           upstream="scarthgap"
           path="sources/meta-virtualization" />

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="2338409efc51cf2022ff5610a9fb689251706e2b"
           upstream="scarthgap"
           path="sources/meta-openembedded"/>

  <!-- Clang -->
  <remote name="kraj"
          fetch="https://github.com/kraj"/>
  <project name="meta-clang"
           remote="kraj"
           revision="e7dceb1c92caf7f21ef1d7b49c85328c30cffd90"
           upstream="scarthgap"
           path="sources/meta-clang"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="75609094454b793fd24e89b0ed605e32505f7e02"
           upstream="scarthgap"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-qcom"
           remote="qt"
           revision="fd1ab31ac607501c83df284850cf97e0fffbb33f"
           upstream="dev"
           path="sources/meta-boot2qt-qcom">
    <linkfile dest="sources/templates" src="conf/templates/default"/>
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="refs/tags/v6.8.0"
           upstream="6.8.0"
           path="sources/meta-qt6"/>

  <!-- Device specific layers -->
  <remote name="linaro"
          fetch="https://github.com/Linaro"/>
  <project name="meta-qcom"
           remote="linaro"
           revision="8b28fe7d8fd74fb20419d32747b7c8acba869d89"
           upstream="scarthgap"
           path="sources/meta-qcom"/>
</manifest>
